%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%  
%%%     http://diss.rsl.ru/datadocs/doc_291wu.pdf
%%%     http://rosmu.ru/activity/events/1056.html
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%   

    %<#1>   / (,  ). 
    %<#2>   : ,   .
    %<#3>      (, , ).    (  ,     ). ().
    %<#4>    : .
    %<#5>    . 
    %<#6>    ( ).

    \newcommand{\tvimRefBook}[6]{\ifthenelse{\equal{#1}{}}{}{#1 }#2\ifthenelse{\equal{#3}{}}{}{~/ #3}.~--- #4, #5.~--- #6\;c.}

%%%              

    %<#1>   / (,  ). 
    %<#2>    : ,   .
    %<#3>      ( ) --     ,    .
    %<#4>    : , ,   .
    %<#5>      ( );     (, , ).
    %<#6>    : .
    %<#7>    . 
    %<#8>   T.\;X.[~--- \;X]
    %<#9>     (-- ).

    \newcommand{\tvimRefArticle}[9]{#1 #2\ifthenelse{\equal{#3}{}}{}{~/ #3}~// #4\ifthenelse{\equal{#5}{}}{}{~/ #5}.~---\ifthenelse{\equal{#6}{}}{}{ #6,} #7.~---\ifthenelse{\equal{#8}{}}{}{ #8.~---} C.\;#9.}

%%%       
    %<#1>   / (,  ). 
    %<#2>   . 
    %<#3>     [ ].   : 
    %<#4>   URL (    ).
    
    \newcommand{\tvimRefEl}[4]{\ifthenelse{\equal{#1}{}}{}{~/ #1} #2~// #3 [ ].~---  :\\ #4}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Harvard style: 
%%%     http://www.staffs.ac.uk/assets/harvard_quick_guide_tcm44-47797.pdf
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%% Books 

    %<#1>   FAMILY/SURNAME, Initials. (1 author) 
    %          OR FAMILY/SURNAME, Initials., FAMILY/SURNAME, Initials. and FAMILY/SURNAME, Initials. (2 or 3 authors) 
    %          OR FAMILY/SURNAME, Initials. et al. or and others. (4 or more authors) 
    %<#2>   Publication year
    %<#3>   Book title -- italicized or underlined. 
    %<#4>   Series title and volume if applicable. Edition - if not the first. 
    %<#5>   Place of publication: Publisher.
    
    \newcommand{\tvimRefBookEn}[5]{{#1 (#2) \textit{#3}.\ifthenelse{\equal{#4}{}}{}{ #4.} #5.}}


%%% Journal article (printed)

    %<#1>   Author(s) of articles FAMILY/SURNAME, Initials. 
    %<#2>   Publication year
    %<#3>   Title of article. 
    %<#4>   Title of journal -- italicized or underlined. 
    %<#5>   Volume number 
    %<#6>   Part number/month. 
    %<#7>   Page numbers of the article.
    
    \newcommand{\tvimRefArticleEn}[7]{{#1 (#2) #3. \textit{#4}. #5\ifthenelse{\equal{#6}{}}{.}{\;(#6).} p.\;#7.}}

%%% Journal article (electronic/online)

    %<#1>   Author(s) of articles FAMILY/SURNAME, Initials. 
    %<#2>   Publication year. 
    %<#3>   Title of article. 
    %<#4>   Title of journal -- italicized or underlined. 
    %<#5>   Name of Database the article is from if appropriate. 
    %<#6>   Volume number (Part number/month in brackets). 
    %<#7>   Page numbers of the article. 
    %<#8>   URL. 
    %<#9>   Accessed: followed by the date viewed.
    
    \newcommand{\tvimRefArticleElEn}[9]{#1 (#2) #3. \textit{#4}. [Online] #5 #6. p.\;#7. Available from:\\ #8. [Accessed: #9].}
    
%%% Website
    %Author of website FAMILY/SURNAME, Initials or WEBSITE name if no author is available. (Year - in brackets) Title of website in italics or underlined. Any numbers if necessary or available if website is part of a series. [Online in square brackets] Available from: URL. [Accessed: followed by date in square brackets].
    
    %<#1>   Author of website FAMILY/SURNAME, Initials or WEBSITE name if no author is available.
    %<#2>   Year.
    %<#3>   Title of website in italics or underlined. Any numbers if necessary or available if website is part of a series.
    %<#4>   URL.
    %<#5>   Accessed: followed by date in square brackets.
    
    \newcommand{\tvimRefWebsiteEn}[5]{#1. (#2) \textit{#3}. [Online] Available from:\\ #4. \ifthenelse{\equal{#5}{}}{}{[Accessed: #5].}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%